Results 1 to 3 of 3

Thread: Plasmoids Will Not Install

Hybrid View

  1. #1

    Default Plasmoids Will Not Install

    Hi,

    I've just put a fresh install of 13.1 on my desktop. I'm using an ATI HD6570 graphics card and an i5. On KDE desktop, which I installed with default settings, I can select to "Download New Plasma Widgets". I've found a ton that look great, such as EG-SysMon-QC. I clicked install, and it said it installed, but it isn't available to add as the preinstalled widgets were.

    I found the file it downloaded, and tried to install it manually, to which I was informed that the installation failed. (I've tried a few other widgets as well, but this one has 20k downloads).

    I then went to terminal, and ran the command plasmapkg -i 114505-EG-SysMon-QC.skz, which yields the output:
    Code:
    andrew@worksuse:/tmp/kde-andrew> plasmapkg -i 114504-EG-SysMon-QC.skz plasmapkg(14338)/libplasma Plasma::PackageStructurePrivate::createPackageMetadata: No metadata file in the package, expected it at: "/tmp/kde-andrew/plasmapkgHQX0Bd//metadata.desktop" 
    plasmapkg(14338)/libplasma Plasma::Package::installPackage: No metadata file in package "/tmp/kde-andrew/114504-EG-SysMon-QC.skz" "/tmp/kde-andrew/plasmapkge21Ift/metadata.desktop" 
    Installation of /tmp/kde-andrew/114504-EG-SysMon-QC.skz failed.
    I tried renaming the package with a .plasmoid extension to no avail, and spent a good 40 minutes googling.

    Does anyone know how to fix this? Thank you for your help!
    -Andrew

  2. #2

    Default Re: Plasmoids Will Not Install

    Quote Originally Posted by werdnahman View Post
    Does anyone know how to fix this? Thank you for your help!
    Well, this is no plasmoid, but a Superkaramba theme, that's why it has the suffix .skz.

    According to the first comment on http://kde-apps.org/content/show.php...PHPSESSID=e5af you should be able to install it with:
    Code:
    plasmapkg --type=superkaramba -i 114504-EG-SysMon-QC.skz
    And you need to have superkaramba installed as well obviously.

    I haven't tried it myself though, or superkaramba at all.
    Last edited by wolfi323; 16-Sep-2014 at 12:21.

  3. #3

    Default Re: Plasmoids Will Not Install

    Thank you for your help! So after installing Superkaramba (which I had never heard of - again, thanks!) I still had an issue. Apparently the widget needs to be opened in Superkaramba first. Now it works!

    https://techbase.kde.org/Projects/Su..._inside_Plasma

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •